> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/shares/add-reviewers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Add reviewers to share POST https://api.frame.io/v4/accounts/{account_id}/shares/{share_id}/reviewers Content-Type: application/json For secure shares, adds the specified users as reviewers. For public shares, sends email notifications to the specified recipients. Supports four identifier types: `adobe_user_id`, `email`, `user_id`, and `share_list_id`. A request can only include one identifier type parameter. `email` is the only identifier able to add reviewers to a Share who don't have a Frame account member on the account where the Share belongs. This endpoint has been added to `Current Version` of the API. Please see [https://next.developer.frame.io/platform/v4/api-reference/shares/add\_reviewers](https://next.developer.frame.io/platform/v4/api-reference/shares/add_reviewers). Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/shares/add-reviewers ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `share_id` (string, required) ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ### Body (application/json) This endpoint expects an AddReviewersToShareParams. - `data` (AddReviewersToShareParamsData, required) ## Response ### 204 No Content ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### AddReviewersToShareParamsData - `message` (string, required) — Message for notification content - `reviewers` (AddReviewersToShareParamsDataReviewers, required) - `notify_by_email` (boolean, optional, default: true) — When true (default), email notifications are sent. When false, no email is sent. For secure shares, reviewer access is still granted. ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### AddReviewersToShareParamsDataReviewers - `adobe_user_ids` (list of string, optional) — Adobe User IDs - `emails` (list of string, optional) — Email Addresses - `share_list_ids` (list of string, optional) — Share list IDs whose members to add as reviewers - `user_ids` (list of string, optional) — User IDs ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Request** ```json { "data": { "message": "Please join!", "reviewers": { "share_list_ids": [ "629ab979-40ce-4b81-9702-137deee1fc32" ] }, "notify_by_email": true } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers" payload = { "data": { "message": "Please join!", "reviewers": { "share_list_ids": ["629ab979-40ce-4b81-9702-137deee1fc32"] }, "notify_by_email": True } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers'; const options = { method: 'POST', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"message":"Please join!","reviewers":{"share_list_ids":["629ab979-40ce-4b81-9702-137deee1fc32"]},"notify_by_email":true}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers" payload := strings.NewReader("{\n \"data\": {\n \"message\": \"Please join!\",\n \"reviewers\": {\n \"share_list_ids\": [\n \"629ab979-40ce-4b81-9702-137deee1fc32\"\n ]\n },\n \"notify_by_email\": true\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"message\": \"Please join!\",\n \"reviewers\": {\n \"share_list_ids\": [\n \"629ab979-40ce-4b81-9702-137deee1fc32\"\n ]\n },\n \"notify_by_email\": true\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"message\": \"Please join!\",\n \"reviewers\": {\n \"share_list_ids\": [\n \"629ab979-40ce-4b81-9702-137deee1fc32\"\n ]\n },\n \"notify_by_email\": true\n }\n}") .asString(); ``` ```php request('POST', 'https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers', [ 'body' => '{ "data": { "message": "Please join!", "reviewers": { "share_list_ids": [ "629ab979-40ce-4b81-9702-137deee1fc32" ] }, "notify_by_email": true } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers"); var request = new RestRequest(Method.POST); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"message\": \"Please join!\",\n \"reviewers\": {\n \"share_list_ids\": [\n \"629ab979-40ce-4b81-9702-137deee1fc32\"\n ]\n },\n \"notify_by_email\": true\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "message": "Please join!", "reviewers": ["share_list_ids": ["629ab979-40ce-4b81-9702-137deee1fc32"]], "notify_by_email": true ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/6d2ffb0d-2901-47b7-8b6c-25bae4427d86/shares/a51e2465-9002-4820-ab9e-489d00983e9d/reviewers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```